org.tmatesoft.svn.core.wc2

## Class SvnUpgrade

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration>
  - - org.tmatesoft.svn.core.wc2.SvnUpgrade

All Implemented Interfaces:
  ISvnOperationOptionsProvider

    public class SvnUpgrade
    extends SvnOperation<org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration>

Represents operation for upgrading the metadata storage format for a working copy. `Target` should represent working copy path to be upgraded.

`SvnOperation.run()` returns `SvnWcGeneration` of resulting working copy. `SvnOperation.run()` throws `SVNException` if the following is true:

- exception with `SVNErrorCode.ILLEGAL_TARGET` error code - if `target` is not a local path
- exception with `SVNErrorCode.ENTRY_NOT_FOUND` error code - if `target` is not a versioned directory
- exception with `SVNErrorCode.WC_INVALID_OP_ON_CWD` error code - if `target` is not a pre-1.7 working copy directory
- exception with `SVNErrorCode.WC_INVALID_OP_ON_CWD` error code - if `target` is not a pre-1.7 working copy root
- exception with `SVNErrorCode.WC_UNSUPPORTED_FORMAT` error code - if a `target` doesn't have a repository URL
- exception with `SVNErrorCode.WC_CORRUPT` error code - if a working copy is corrupt

Since:
  1.7 (SVN 1.7)
Version:
  1.7
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
`protected` `SvnUpgrade(SvnOperationFactory factory)`

### Method Summary

Methods
`boolean` `isChangesWorkingCopy()` Gets whether the operation changes working copy

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnUpgrade

    protected SvnUpgrade(SvnOperationFactory factory)

### Method Detail

#### isChangesWorkingCopy

    public boolean isChangesWorkingCopy()

Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`